Description

Trying to replicate it, I still get the following errors (fresh clone of recipes) with the "default" build generator downloaded from the

given URL:

swrede@ubuntu:/vol/citk/recipes$ build-generator --on-error=continue -d distributions/oncilla-sim.distribution -t 'templates/*.template'

13 problems during INSTANTIATE/PROJECT phase:

  #<VERSION-SPEC fsmt:master {104F34D9}> (1 missing dependency):

    No provider for (:SETUPTOOLS "pep8").

  #<VERSION-SPEC libcca-oncilla:pkgconfig-0.5 {E4FB2F9}> (4 missing dependencies):

    No provider for (:CMAKE "Spread").

    No provider for (:CMAKE "NemoBench").

    No provider for (:PKG-CONFIG "QUIET").

    No provider for (:PKG-CONFIG "biorob-cpp-0.3" (0 3 1)).

  #<VERSION-SPEC liboncilla-webots:master {EC8B181}> (1 missing dependency):

    No provider for (:CMAKE "BiorobCMakeUtils" (0 3 4)).

  #<VERSION-SPEC liboncilla:rci0.5 {EB65719}> (3 missing dependencies):

    No provider for (:CMAKE "BiorobCMakeUtils" (0 3 4)).

    No provider for (:CMAKE "GMock").

    No provider for (:PKG-CONFIG "biorob-cpp-0.3" (0 3 1)).

  #<VERSION-SPEC biorob-cpp:master {E524EC9}> (1 missing dependency):

    No provider for (:CMAKE "BiorobCMakeUtils" (0 3 6)).

  #<VERSION-SPEC rci:trunk {10073F01}> (1 missing dependency):

    No provider for (:CMAKE "NemoBench").

  #<VERSION-SPEC cca:trunk {FD98A99}> (1 missing dependency):

    No provider for (:CMAKE "NemoBench").

  #<VERSION-SPEC rsb-python:master {E527751}> (1 missing dependency):

    No provider for (:PROGRAM "spread" (4 1 0)).

 

At least Spread, NemoBench, the "QUIET" dependency and the Biorob stuff should be fixed.

Related issues:

related to Cognitive Interaction Toolkit - Bug # 263: Dependency between libc... Closed 2014-06-01

Associated revisions

Revision 8feeb33e - 2014-06-02 15:45 - Sebastian Wrede

added Nemobench to Oncilla-Sim dstri, refs #262

History

#1 - 2014-05-29 11:53 - Sebastian Wrede

- Project changed from CITk Coordination to Cognitive Interaction Toolkit
- Subject changed from Fix remaining warnings / issues in Oncilla-Sim distribution to Oncilla-Sim distribution: fix remaining warnings / issues during

build generation

- Category set to Recipe

- Parent task deleted (#252)

#2 - 2014-05-29 16:30 - Johannes Wienke

The quiet thing has been fixed in the generator already. Nemobench seems to be optional, which isn't modeled at all in the generator so far. And for

spread it is not clear how to handle this thing at all since CMake Find-Macros are hard to model.

#3 - 2014-06-01 19:14 - Sebastian Wrede

In which version of the generator was the fix for the QUIET thing applied?

For NemoBench: I'd still suggest to include it in the generator just to have less warnings. Alternatively, we could hack around this temporarily by

adding it as a provided system dependency in the template file.

#4 - 2014-06-01 19:19 - Jan Moringen

Sebastian Wrede wrote:

In which version of the generator was the fix for the QUIET thing applied?

master, IIRC.

 

OK. Welche Version landet denn aktuell auf unserem Web-Server?

D.h. unter: https://toolkit.cit-ec.uni-bielefeld.de/dist/jenkins.tar.gz

BTW: --version produziert bei mir folgenden Output:

swrede@ubuntu:/vol/citk/jenkins$ build-generator --version

SIMPLE-ERROR:

  None of the TEMPLATE patterns  matched anything.

 

For NemoBench: I'd still suggest to include it in the generator just to have less warnings.

What does that mean? Can you elaborate?

 

"in the generator" should be replaced with "as a project" ... So, we should just add the project to make it available.

2024-05-03 2/3

https://toolkit.cit-ec.uni-bielefeld.de/dist/jenkins.tar.gz


#5 - 2014-11-27 08:03 - Florian Lier

- Status changed from New to Closed
